MyGUI::PluginManager Class Reference

Plugin manager. Load/unload and register plugins. More...

`#include <MyGUI_PluginManager.h>`

Inheritance diagram for MyGUI::PluginManager:
[legend]

## Public Member Functions

| PluginManager (const PluginManager &)=delete
PluginManager & | operator= (const PluginManager &)=delete
| PluginManager ()
void | initialise ()
void | shutdown ()
bool | loadPlugin (std::string_view _file)
| Load plugin.
void | unloadPlugin (std::string_view _file)
| Unload plugin.
void | installPlugin (IPlugin *_plugin)
void | uninstallPlugin (IPlugin *_plugin)
void | unloadAllPlugins ()
| Unload all plugins.
Public Member Functions inherited from MyGUI::MemberObsolete< PluginManager >
bool | load (const std::string &_file)

## Static Public Member Functions

static PluginManager & | getInstance ()
static PluginManager * | getInstancePtr ()
static std::string_view | getClassTypeName ()

## Detailed Description

Plugin manager. Load/unload and register plugins.

Definition at line 24 of file MyGUI_PluginManager.h.

## Constructor & Destructor Documentation

## PluginManager() [1/2]

MyGUI::PluginManager::PluginManager | ( | const PluginManager & |  | ) |

delete

## PluginManager() [2/2]

MyGUI::PluginManager::PluginManager | ( |  | ) |

Definition at line 19 of file MyGUI_PluginManager.cpp.

## Member Function Documentation

## getClassTypeName()

std::string_view MyGUI::PluginManager::getClassTypeName | ( |  | ) |

static

## getInstance()

PluginManager & MyGUI::PluginManager::getInstance | ( |  | ) |

static

## getInstancePtr()

PluginManager * MyGUI::PluginManager::getInstancePtr | ( |  | ) |

static

## initialise()

void MyGUI::PluginManager::initialise | ( |  | ) |

Definition at line 25 of file MyGUI_PluginManager.cpp.

## installPlugin()

void MyGUI::PluginManager::installPlugin | ( | IPlugin * | _plugin | ) |

Install plugin

Remarks
  Calls from plugin

Definition at line 136 of file MyGUI_PluginManager.cpp.

## loadPlugin()

bool MyGUI::PluginManager::loadPlugin | ( | std::string_view | _file | ) |

Load plugin.

Definition at line 49 of file MyGUI_PluginManager.cpp.

## operator=()

PluginManager & MyGUI::PluginManager::operator= | ( | const PluginManager & |  | ) |

delete

## shutdown()

void MyGUI::PluginManager::shutdown | ( |  | ) |

Definition at line 37 of file MyGUI_PluginManager.cpp.

## uninstallPlugin()

void MyGUI::PluginManager::uninstallPlugin | ( | IPlugin * | _plugin | ) |

Uninstall plugin

Remarks
  Calls from plugin

Definition at line 150 of file MyGUI_PluginManager.cpp.

## unloadAllPlugins()

void MyGUI::PluginManager::unloadAllPlugins | ( |  | ) |

Unload all plugins.

Definition at line 165 of file MyGUI_PluginManager.cpp.

## unloadPlugin()

void MyGUI::PluginManager::unloadPlugin | ( | std::string_view | _file | ) |

Unload plugin.

Definition at line 81 of file MyGUI_PluginManager.cpp.

The documentation for this class was generated from the following files:

- MyGUI_PluginManager.h
- MyGUI_PluginManager.cpp